package com.keyware.composeanalysis.constant.enums;


/**
 * 分析状态枚举类
 */

public enum AnalysisStatusEnum {

    //0：未分析 1：正在分析 2：分析完成 3：暂停分析 4：等待 5:开始分析 6:终止分析 7：分析失败

    UN_ANALYSIS("未分析",0),

    ANALYSISING("正在分析",1),

    ANALYSIS_DONE("分析完成",2),

    PAUSE_ANALYSIS("暂停分析",3),

    WAIT_ANALYSIS("等待分析",4),

    START_ANALYSIS("开始分析",5),

    STOP_ANALYSIS("终止分析",6),

    FAIL_ANALYSIS("分析失败",7);

    // 状态
    private String status;
    //状态码
    private Integer  code;

    AnalysisStatusEnum(String status, Integer code) {
        this.status = status;
        this.code = code;
    }

    public String getStatus() {
        return status;
    }

    public Integer getCode() {
        return code;
    }



}