package com.keyware.composeanalysis.mongo;

import com.keyware.keyswan.common.LineModel;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

/**
 * @author liuzongren
 * @date 2024/7/25
 */
@Document(collection = "line_data")
@Data
@Accessors(chain =true)
public class LineDataMongoDto {

    /**
     * MongoDB 文档的唯一标识符。
     */
    @Id
    private String id;

    /**
     * 文件ID
     */
    private String fileId;

    /**
     * 状态
     * 场景1: 新建的情况下赋值为 0
     */
    @Deprecated
    private Integer status;

    /**
     *  选中状态 ?
     *  场景1: 新建的情况下赋值为false
     */
    @Deprecated
    private Boolean isSelect;

    /**
     * 当前文件，行的特征MD5值
     */
    private List<String> lineFeatueMd5s;


    /**
     * 当前文件,代码块的MD5值
     */
    private List<LineModel> lineModels;

}
