package com.keyware.composeanalysis.mongo;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.List;

/**
 * @author liuzongren
 * @ClassName MatchOpenFile
 * @description: 文件开源率匹配信息 （成分分析表）
 * @datetime 2024年 07月 23日 18:05
 * @version: 1.0
 */
@Data
@Document(collection = "match_open_file")
@Accessors(chain =true)
public class MatchOpenFileMongoDto implements Serializable {

    @Id
    private String id;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件路径
     */
    @Deprecated
    private String filePath;

    /**
     * 当前 文件 是否 开源  false:不开源  true:开源
     */
    private Boolean openType;


    /**
     * 当前文件的开源率
     */
    private float openRate;

    /**
     * 特征相似度
     */
    private Float featureSimilarity;

    /**
     * 匹配的开源文件信息
     */
    List<MatchOpenFile> matchOpenFile;

}
